KColorCombo class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KColorCombo Class Reference

Combobox for colors. More...

`#include <kcolorcombo.h>`

Inheritance diagram for KColorCombo:

[legend]
Collaboration diagram for KColorCombo:

[legend]
List of all members.

## Signals
void | activated (const QColor &col)
| Emitted when a new color box has been selected.
void | highlighted (const QColor &col)
| Emitted when a new item has been highlighted.
## Public Member Functions
| KColorCombo (QWidget *parent, const char *name=0L)
| Constructs a color combo box.
void | setColor (const QColor &col)
| Selects the color `col`.
QColor | color () const
| Returns the currently selected color.
void | showEmptyList ()
| Clear the colour list and don't show it, till the next setColor() call.
## Protected Member Functions
virtual void | resizeEvent (QResizeEvent *re)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Combobox for colors.

Definition at line 39 of file kcolorcombo.h.

## Constructor & Destructor Documentation

KColorCombo::KColorCombo | ( | QWidget * | parent,
|  | const char * | name = 0L
| ) |

| Constructs a color combo box. Definition at line 111 of file kcolorcombo.cpp. References activated(), highlighted(), KStdAccel::name(), and QColor::setRgb().

## Member Function Documentation

void KColorCombo::setColor | ( | const QColor & | col | ) |

| Selects the color `col`. Definition at line 136 of file kcolorcombo.cpp.

QColor KColorCombo::color | ( |  | ) | const

| Returns the currently selected color. Definition at line 147 of file kcolorcombo.cpp.

void KColorCombo::showEmptyList | ( |  | ) |

| Clear the colour list and don't show it, till the next setColor() call. Definition at line 161 of file kcolorcombo.cpp.

void KColorCombo::activated | ( | const QColor & | col | ) | `[signal]`

| Emitted when a new color box has been selected. Referenced by KColorCombo().

void KColorCombo::highlighted | ( | const QColor & | col | ) | `[signal]`

| Emitted when a new item has been highlighted. Referenced by KColorCombo().

The documentation for this class was generated from the following files:

- kcolorcombo.h
- kcolorcombo.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:59:12 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001